# -*- coding: utf-8 -*-
#-----------------------------------------------------------------------------
# Copyright © 2019 Stephen Baumgartner and John McClenahan
# <slb.jwm@gmail.com> or <steve@slbaumgartner.com>

# Permission to use, copy, modify, and distribute this software for
# any purpose and without fee is hereby granted, provided the above
# copyright notice appears in all copies.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------

# Extension implementing a Tool to draw slope annotation on an Edge or
# a Face

require 'sketchup.rb'
require 'extensions.rb'

module SLB_JWMPlugins
  module SlopeMarkers
    extension_name = 'SLB_JWM Slope Markers'
    PATH = File.join(File.dirname(__FILE__), 'SLB_JWM_Slope_Markers').freeze
    loader = File.join(PATH, 'slope_marker_tool')
    extension = SketchupExtension.new(extension_name, loader)
    extension.description = 'Draw Slope Annotations'
    extension.version = '1.0'
    extension.creator = 'Stephen Baumgartner'
    extension.copyright = '2019, steve@slbaumgartner.com.'

    Sketchup.register_extension extension, true
  end
end
